Subject: Re: cygwin-inst-20000304 query
From: Brendan J Simon <[email-masked]>
To: DJ Delorie <[email-masked]>
Cc: [email-masked]
Date: Wed, 08 Mar 2000 09:26:22 +1100

DJ Delorie wrote:

> Right.  We're working on migrating all the packages to the
> i686-pc-cygwin target identifier.

Does this mean that some programs wont run on CPUs pre 686  (ie. 386, 486,
586) ?

> > I have unpacked the cygwin-inst-20000304.tar.gz archive to the
> > c:/cygnus/cygwin-b20/H-i586-cygwin32 directory.  Is this the correct
> > place for it ?
>
> That is an acceptable place for it.  The H-* directory exists only in
> case you want to support multiple *hosts* (like linux or solaris) via
> a file server or something.  In the next release, that H-* layer will
> go away.  The next subdirectory down from that is for supported
> targets (like embedded boards or cross compilers), which is what the
> i686-pc-cywin in the snapshots is really referring to.
>
> If it's confusing, don't worry about it.  Just do what works for you.

I'm OK with it.  I have built and installed powerpc cross-compilers and even
done a Canadian cross for the cygwin environment.  I think that getting rid
of the H-* layer is a very good idea in general.  I now understand why it is
there.  Will getting rid of it make it harder to support multiple hosts using
a shared file server ?  Since this scenario is not very common I guess it
would be easy for a system administrator to add the extra directory layers to
represent the multiple host architectures.

> In your case, you'd have (probably):
>
>         build   i586-pc-linux-gnu
>         host    i586-pc-cygwin32
>         target  i686-pc-cygwin
>
> although we all know that the last two are really the same thing.

Do we ?  I don't know that.  How can and i586 be the same as an i686 ?

Thanks,
Brendan Simon.

--
Want to unsubscribe from this list?
Send a message to [email-masked]